Postgresql richtig installieren

Dieses Thema im Forum "Debian/Ubuntu/Knoppix" wurde erstellt von ralze, 16.03.2008.

  1. ralze

    ralze Foren As

    Dabei seit:
    08.06.2007
    Beiträge:
    89
    Zustimmungen:
    0
    Ort:
    Zürich
    Hallo Leute,

    ich schaffe es einfach nicht, PostgresQL (8.3) auf meinem Desktop PC (Ubunutu 7.10) vernünftig zu installieren. Ich bin ziemlich unbedarft, was Datenbanken angeht, deshalb komm ich auch nicht wirklich weiter...
    Folgende Pakete hab ich installiert:

    Code:
    alex@alex-pc:~$ dpkg -l postgres*
    Desired=Unknown/Install/Remove/Purge/Hold
    | Status=Not/Installed/Config-f/Unpacked/Failed-cfg/Half-inst/t-aWait/T-pend
    |/ Err?=(none)/Hold/Reinst-required/X=both-problems (Status,Err: uppercase=bad)
    ||/ Name           Version        Description
    +++-==============-==============-============================================
    ii  postgresql     8.3.0-1~gutsy1 object-relational SQL database (latest versi
    un  postgresql-7.4 <none>         (no description available)
    un  postgresql-8.0 <none>         (no description available)
    ii  postgresql-8.3 8.3.0-1~gutsy1 object-relational SQL database, version 8.3 
    ii  postgresql-cli 8.3.0-1~gutsy1 front-end programs for PostgreSQL (latest ve
    ii  postgresql-cli 8.3.0-1~gutsy1 front-end programs for PostgreSQL 8.3
    ii  postgresql-cli 85~gutsy1      manager for multiple PostgreSQL client versi
    ii  postgresql-com 85~gutsy1      PostgreSQL database-cluster manager
    ii  postgresql-con 8.3.0-1~gutsy1 additional facilities for PostgreSQL (latest
    ii  postgresql-con 8.3.0-1~gutsy1 additional facilities for PostgreSQL
    un  postgresql-doc <none>         (no description available)
    un  postgresql-doc <none>         (no description available)
    
    Zwei Symtome hab ich hier:

    ~/pgadmin.log
    Code:
    2008-03-16 19:14:31 ERROR  : ERROR:  column op.oprlsortop does not exist
    LINE 12:   LEFT OUTER JOIN pg_operator lso ON lso.oid=op.oprlsortop
                                                          ^
    
    2008-03-16 19:14:32 ERROR  : ERROR:  column "opcamid" does not exist
    LINE 3:   JOIN pg_am am ON am.oid=opcamid
                                      ^
    Diese Fehlermeldung kommt jedes Mal, wenn ich mit pgAdminIII Datenbanken zum ersten mal nach dem einloggen anzeigen lasse. Ich weiß nicht, was sie bedeuted...

    Weiterhin hat die Maintenance Datenbank postgres ASCII encoding. Ich hätte aber gerne UTF-8. Alle Lösungen, die ich bisher für solche Konvertierungen gefunden habe gehen in etwa so: sql-dump, löschen, neu erstellen, sql-import. Die Maintenance Datenbank kann aber nicht gelöscht werden.

    Vielleicht kann mir jemand ein paar Hinweise geben!
     
  2. Anzeige

    Schau dir mal diese Kategorie an. Dort findest du bestimmt etwas.
    Registrieren bzw. einloggen, um diese und auch andere Anzeigen zu deaktivieren
  3. #2 bitmuncher, 16.03.2008
    bitmuncher

    bitmuncher Der Stillgelegte

    Dabei seit:
    08.05.2007
    Beiträge:
    3.171
    Zustimmungen:
    0
    Die Fehlermeldungen treten üblicherweise dann auf, wenn ein Frontend (in deinem Fall also pgAdmin) nicht mit der Server-Version kompatibel ist.

    Das Encoding-Problem hat mich damals dazu gebracht auf Postgresql endgültig zu verzichten und nur noch MySQL einzusetzen. Es gibt einfach zu viele mögliche Fehlerquellen, Versionsabhängigkeiten und Unzulänglichkeiten, die man kaum beheben kann, mit Postgresql. Bei MySQL kann man selbst komplett ohne Datenbanken noch neue Datenbanken anlegen und somit auch Sachen wie User-Datenbank usw. konvertieren.
     
  4. ralze

    ralze Foren As

    Dabei seit:
    08.06.2007
    Beiträge:
    89
    Zustimmungen:
    0
    Ort:
    Zürich
    ah ok. d.h. Diese Fehlermeldungen werden von pgAdmin verursacht? Dann ist das ja nicht so wild.

    Ich hab jahrelang MySQL benutzt (eher von anderer Software benutzen lassen). Hab letztens mal ein neues Framework angeschaut und hab mir gedacht, ich könnte mir auch mal ne andere Datenbank anschauen ...
     
Thema:

Postgresql richtig installieren

Die Seite wird geladen...

Postgresql richtig installieren - Ähnliche Themen

  1. PostgreSQL korrigiert kritische Sicherheitslücke

    PostgreSQL korrigiert kritische Sicherheitslücke: Die Entwickler der freien objektrelationalen Datenbank PostgreSQL haben ein Sicherheitsupdate veröffentlicht, das unter anderem einen Absturz...
  2. PostgreSQL 9.5 freigegeben

    PostgreSQL 9.5 freigegeben: Die PostgreSQL-Entwickler haben Version 9.5 des freien objektrelationalen Datenbanksystems PostgreSQL offiziell veröffentlicht. Neuerungen sind...
  3. Erster Veröffentlichungskandidat von PostgreSQL 9.5

    Erster Veröffentlichungskandidat von PostgreSQL 9.5: Die PostgreSQL-Entwickler haben den ersten Veröffentlichungskandidaten der kommenden Version 9.5 des freien objektrelationalen Datenbanksystems...
  4. PostgreSQL 9.5 Beta 1 freigegeben

    PostgreSQL 9.5 Beta 1 freigegeben: Die PostgreSQL-Entwickler haben eine erste Vorschau auf die kommende Version 9.5 des freien objektrelationalen Datenbanksystems veröffentlicht....
  5. PostgreSQL 9.4 mit JSONB und Logical Decoding

    PostgreSQL 9.4 mit JSONB und Logical Decoding: Die PostgreSQL Global Development Group hat das freie, objektrelationale Datenbankmanagementsystem (DBMS) PostgreSQL in der Version 9.4...